<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDashboardViewBase from './ibizorder-dashboard-view-base.vue';

import view_dashboard from '@widgets/ibizorder/usr-dashboard/usr-dashboard.vue';
@Component({
    components: {
        view_dashboard, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDashboardView extends IBIZOrderDashboardViewBase {

}
</script>